import http from "@/utils/request";

export const get_exchange = (params: any, callback: any) => {
  return http.request("/priceCollect/api/getExchange", "get", params).then((data) => {
    if (data) callback && callback(data);
  });
};
export const get_coin = (params: any, callback: any) => {
  return http.request("/priceCollect/api/getCoin", "get", params).then((data) => {
    if (data) callback && callback(data);
  });
};

export const get_depth = (params: any, callback: any) => {
  return http.request("/priceCollect/api/getPrices", "get", params).then((data) => {
    if (data) callback && callback(data);
  });
};

export const get_incremental_depth = (params: any, callback: any) => {
  return http.request("/priceCollect/api/getAddPrices", "get", params).then((data) => {
    if (data) callback && callback(data);
  });
};

export const get_hot_list = (params: any, callback: any) => {
  return http.request("/hotCollect/api/getHot", "get", params).then((data) => {
    if (data) callback && callback(data);
  });
};

export const get_hotMonitoring_list = (params: any, callback: any) => {
  return http.request("/hotCollect/api/getHotMonitoring", "get", params).then((data) => {
    if (data) callback && callback(data);
  });
};